Skip to main content
POST
Example subscription
Set config.days_synced to specify the number of days of paystub history you need. The default is 30 days, counted backward from the date when the account was added. The history window uses each paystub’s payment date (paystub_date), not the start or end date of its pay period.
You can subscribe to this webhook multiple times with different numbers of specified days.
Of note:
  • This webhook is sent only during initial data retrieval (not ongoing refresh).
  • This webhook is not sent when no paystubs are available within the requested window. For example, if config.days_synced is 90 and the most recent paystub’s payment date is 100 days before the account was added, the webhook will not be sent.
  • If the number of paystubs for an account is small and captured completely with only one data pull, this webhook will not be sent. Instead the paystubs.fully_synced webhook will be sent.
Handle full synchronization and set a timeout so your application does not wait indefinitely for this webhook. See Retrieving paystubs for the complete flow.

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Body

application/json

Request body for subscribing to the paystubs.partially_synced webhook.

events
enum<string>[]
required

List of events to subscribe to. Must include paystubs.partially_synced. Value is paystubs.partially_synced

Available options:
paystubs.partially_synced
name
string
required

Your name for the webhook subscription. Name used for the webhook subscription.

url
string
required

Where you want to receive webhook delivery. This can be either a backend URL that you manage, or a URL provided by a webhook management service. Argyle handles URL encoding for webhook URLs. Send the URL in its normal, unencoded form. URL where you want to receive webhook delivery.

secret
string | null

Optional secret used to verify webhooks. Secret used to verify webhooks.

config
object | null

"days_synced": <Integer> specifies how many days of paystub history must be synced, counted backward from account.created_at, before the webhook is sent.

Response

Successful subscription

event
enum<string>

The type of event being triggered.

Available options:
paystubs.partially_synced
name
string

The name of the webhook subscription.

data
object